## e2fsprogs 1.42.9

=== debian/changelog ===
e2fsprogs (1.42.9-3ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remainging changes:
    - debian/rules:
        Block pkg-create-dbgsym from operating on this package.
        Build without dietlibc-dev, which is in universe 
        Use the autotools-dev dh addon to update config.guess/config.sub for new
        ports.
    - debian/control:
        Regenerate with ./debian/rules debian/control

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Feb 2014 11:19:03 +0000

e2fsprogs (1.42.9-3) unstable; urgency=medium

  * Add the ability for mke2fs to create hugefiles
  * Add support for the sparse_super2 compat feature
  * Mke2fs can now force all of the metadata blocks to be at the
    beginning of the file system
  * Fix loopback mount detection (Closes: #497984)
  * Add support to mke2fs to create a file system at an offset
    (Closes: #417385)
  * Mention badblocks in the package description (Closes: #718725)
  * Update/fix various man pages (Closes: #719184, #719189)
  * Improve e2fsck's "superblock corrupt" message (Closes: #719185)
  * Miscellaneous Coverity clean ups

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 04 Feb 2014 22:17:22 -0500

e2fsprogs (1.42.9-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remainging changes:
    - debian/rules:
        Block pkg-create-dbgsym from operating on this package.
        Build without dietlibc-dev, which is in universe 
        Use the autotools-dev dh addon to update config.guess/config.sub for new
        ports.
    - debian/control:
        Regenerate with ./debian/rules debian/control

  * Dropped changes, already in upstream/debian:  
        Apply multiarch fixes to the blkid version check. Fixes cross-FTBFS.  

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Jan 2014 18:56:08 +0000

e2fsprogs (1.42.9-2) unstable; urgency=low

  * Fix lintian warning: debian-changelog-has-wrong-weekday
  * Fix lintian warning: non-standard-dir-perm by using dh_strip's
    --dbg-package option instead of manually managing the debug files
  * Fix printf type format mismatch in e2image
  * Improved debugfs's error reporting when parsing block numbers
  * Use consistent configure options across the multiple e2fsprogs
    builds; this means that e2fsck.static will now use the blkid library
    shipped with util-linux, instead of the internal one shipped with
    the e2fsprogs sources.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 30 Dec 2013 16:56:50 -0500

e2fsprogs (1.42.9-1) unstable; urgency=low

  * New upstream version
  * NMU ack (Closes: #698879)
  * Fix cross-build support (Closes: #721365)
  * mke2fs will detect an attempt to create a file system on a
    loop-mounted image file
  * Fixed a large number of bugs in resize2fs, e2fsck, debugfs, to
    handle bigalloc and 64-bit file systems.
  * Tune2fs will no longer allow changing the uuid on a mounted file
    system with the uninit_bg feature enabled.
  * E2fsck will properly allocate a new extent tree block in the rare
    case where one is needed when rehashing an extent-mapped directory.
  * Mke2fs wil now properly set the LARGE_FILE feature when creating a
    journal > 2GB.
  * Debugfs will now correctly handle free a range of inodes using the
    freei command.
  * E2fsck will no longer complain if an external journal was exactly
    2**32 blocks.
  * E2fsck will not longer try to add a missing lost+found directory
    when run in read-only mode.
  * Fixed some buffer overrun bugs when creating standard e2image files
  * Mke2fs will not try to set both the meta_bg and resize_inode feature
    when the extended option "-E resize=NNN" is specified by the user.
  * Dumpe2fs will no longer abort when trying to print the journal
    information from an e2image-created image file.
  * Debugfs's "write" command can now create a sparse files
  * Debugfs can now support a command line which is up to 8k long
  * E2image will refuse to create a raw or qcomw image using a mounted
    file system unless the -f option is given.
  * E2image has been made more useful for efficiently copying file
    systems using the -ra options.  New options to help with this use
    case that were added: -o, -O, -p, and -c.
  * Fixed a regression introduced in 1.42.8 which would cause e2fsck to
    erroneously report uninitialized extents past i_size to be invalid.
  * Fixed cases where resize2fs could corrupt a file system, especially
    when shrinking a file system.  (Closes: #660793)
  * Fixed resize2fs and e2fsck to not crash when operating on a file
    system with the MMP feature enabled.
  * Fixed debugfs's write command to properly create a zero-length file
    (instead of creating an invalid inode).
  * Fixed e2fsck to not crash when trying to delete an invalid
    extent-mapped symlink.
  * Improved debugfs's help texts
  * Fixed a potential integer overflow problem in e2freefrag
    (Closes: #718205)
  * The config.guess and config.sub files have been updated to the
    latest to help with the ppcle port.  (Closes: #732076)
  * Updated/fixed various man pages.  (Closes: #586218, #669730,
    #698076, #731329)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 28 Dec 2013 23:18:36 -0500

e2fsprogs (1.42.8-1ubuntu3) trusty; urgency=low

  * Fix stamp file handling so that the last change takes effect.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Dec 2013 18:16:10 +0000

e2fsprogs (1.42.8-1ubuntu2) trusty; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for new
    ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Dec 2013 16:03:40 +0000
