=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Build-Depends: texi2html (>= 1.76), gettext, texinfo, pkg-config,  gcc-multilib [mips mipsel], debhelper (>= 7.0), libblkid-dev (>= 2.16), uuid-dev (>= 2.16), m4
-Standards-Version: 3.9.4
+Build-Depends: gettext, texinfo, pkg-config,  gcc-multilib [mips mipsel], debhelper (>= 7.0), libblkid-dev (>= 2.16), uuid-dev (>= 2.16), m4, autotools-dev
+Standards-Version: 3.9.5
 Homepage: http://e2fsprogs.sourceforge.net
 
 
@@ -139,7 +139,8 @@
  hard disks on Debian and other Linux systems.
  .
  This package contains programs for creating, checking, and maintaining
- ext2/3/4-based file systems.
+ ext2/3/4-based file systems.  It also includes the "badbocks" program,
+ which can be used to scan for bad blocks on a disk or other storage device.
 
 Package: e2fsprogs-dbg
 Section: debug
