## e2fsprogs 1.42.10

=== debian/changelog ===
e2fsprogs (1.42.10-1.1ubuntu1.2) utopic-security; urgency=medium

  * SECURITY UPDATE: heap overflow via block group descriptor information
    - debian/patches/CVE-2015-0247.patch: limit first_meta_bg in
      lib/ext2fs/closefs.c, lib/ext2fs/openfs.c.
    - CVE-2015-0247
  * SECURITY UPDATE: buffer overflow in closefs()
    - debian/patches/CVE-2015-1572.patch: properly check against
      fs->desc_blocks in lib/ext2fs/closefs.c.
    - CVE-2015-1572

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Feb 2015 13:42:46 -0500

e2fsprogs (1.42.10-1.1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remainging changes:
    - debian/rules:
        Block pkg-create-dbgsym from operating on this package.
        Build without dietlibc-dev, which is in universe 
        Use the autotools-dev dh addon to update config.guess/config.sub for new
        ports.
    - debian/control:
        Regenerate with ./debian/rules debian/control

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Jul 2014 15:49:40 +0100

e2fsprogs (1.42.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from upstream git that fixes creating filesystems in files
    larger than 2GB on 32 bit architectures (Closes: #752107)

 -- Hilko Bengen <bengen@debian.org>  Sat, 21 Jun 2014 12:57:25 +0200

e2fsprogs (1.42.10-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remainging changes:
    - debian/rules:
        Block pkg-create-dbgsym from operating on this package.
        Build without dietlibc-dev, which is in universe 
        Use the autotools-dev dh addon to update config.guess/config.sub for new
        ports.
    - debian/control:
        Regenerate with ./debian/rules debian/control

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 23 May 2014 15:48:07 +0100

e2fsprogs (1.42.10-1) unstable; urgency=medium

  * New upstream version
  * The mke2fs program no longer requires a force (-F) option when
    when creating a file system in a regular file, since this is a very
    common use case when managing virtual machine images
  * The mke2fs program will now ask for confirmation before wiping out a
    pre-existing file system, partition label, or physical volume
  * Fix e2fsck so that it properly handles an inconsistent quota inode.
    Previously the quota inode could be completely corrupted, and
    missing quota records could be not noticed
  * Fix mke2fs so if packed metadata blocks are enabled that the block
    group checksum are set correctly
  * Debugfs has new commands to allow the quota inode to be queried directly
  * Tune2fs will allow removal of dirty journal with two "-f" options
    (Closes: #559301)
  * Fixed some off-line resize2fs bugs when relocating metadata blocks
    when growing or shrinking bigalloc file systems
  * Fixed resize2fs's calculation of the minimum required file system
    size.  This allows resize2fs -M to shrink the file system more
    aggressively
  * Fixed resize2fs to properly handle shrinking a very large and empty
    file system to a very very small size
  * Fixed e4defrag to work with 64-bit and bigalloc file systems
  * Fixed e2fsck to not issue a large number of very scary (but
    harmless) corruption messages when checking very large file systems
    when the file system has more inodes than the number of seconds
    since January 1, 1970.
  * E2fsck will now check the whole file system if file system problems
    are detected durings its initial "pass 0" sanity check
  * Filefrag now prints the "shared extent" flag which is used by some
    file systems such as btrfs
  * The mke2fs program would previously correctly omit the resize_inode
    feature when creating a file system > 16TB when the fs size was
    determined automatically.  It will now also do the right thing when
    the user explicitly specifies the file system size.
  * The message printed by logsave is now much less scary (Closes: #468821)
  * Fix spelling typo in the package descriptions
  * Update Czech, Dutch, French, German, Polish, Spanish, Sweedish, and
    Vietnamese translations (Closes: #703048)
  * Update/fix various man pages
  * Fix debian/rules compatibility problem with GNU make 4.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 18 May 2014 22:54:38 -0400
