## e2fsprogs 1.42.12

=== debian/changelog ===
e2fsprogs (1.42.12-2+deb8u3) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2022-1304: e2fsck out-of-bounds read/write
  * Run the upstream tests during build.

 -- Adrian Bunk <bunk@debian.org>  Fri, 04 Oct 2024 13:41:41 +0300

e2fsprogs (1.42.12-2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2019-5188
    A specially crafted ext4 directory can cause an out-of-bounds write 
    on the stack, resulting in code execution. An attacker can corrupt a 
    partition to trigger this vulnerability.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Mar 2020 16:30:02 +0100

e2fsprogs (1.42.12-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2019-5094
    A maliciously corrupted file systems can trigger buffer overruns
    in the quota code used by e2fsck.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Sep 2019 19:03:02 +0200

e2fsprogs (1.42.12-2) jessie; urgency=medium

  * NMU acknowledge (closes: #778948)
  * Disable prompts for time skew which is fudged in e2fsck (closes: #812141)
  * Fix potential corruption of Hurd file systems by e2fsck
  * Fix pointer bugs that could cause crashes in e2fsck and resize2fs

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 04 Jun 2016 11:58:06 -0400

e2fsprogs (1.42.12-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2015-1572: incomplete fix for CVE-2015-0247 (closes: #778948).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Feb 2015 01:50:57 +0000

e2fsprogs (1.42.12-1) unstable; urgency=low

  * New upstream version
  * Fix various e2fsck bugs when trying to repair bigalloc file systems.
  * E2fsck can now repair a file system with an overly large
    s_first_meta_bg field, which had previously caused all e2fsprogs
    programs to crash when trying to open such a file system.
  * Fix e2fsck so that it can correctly fix a number of rare file system
    corruptions that were discovered when using a file system fuzzer.
  * Fix e2fsck so it does not try to write back block group descriptors
    if they have not been modified.
  * The mke2fs program will now place metadata blocks in the last
    flex_bg so they are contiguous.  This reduces free space
    fragmentation in a freshly created file system, as well as allowing
    mke2fs commands which request extremely large flex_bg size to succeed.
  * Mke2fs now creates hugefiles more efficiently (with fewer extent
    tree blocks).
  * Fix a 32/64-bit overflow bug that could cause resize2fs to loop
    forever.
  * Reduce the memory consumption of resize2fs for very large file
    systems.
  * Fix a bug that could cause resize2fs to create a corrupted file
    system when shrinking a very large file system (typically > 16TB)
    that had been previously grown using resize2fs.  (Closes: #756922)
  * Fix tune2fs updating UUID's when manipulating file systems with
    external journals (both the file system and journal UUID).
  * Fix tune2fs so it can remove an external journal for file systems
    with a 1k block size.
  * Add a new debugfs command, "inode_dump", which prints the inode in
    hex and ASCII format.
  * The debugfs command "set_inode_field" will now automatically
    allocate blocks for indirect blocks and extent tree blocks.
  * Fix debugfs's "set_inode_field" so can properly handle
    "block[IND|DIND|TIND]".
  * The debugfs "rdump" command will now take multiple source arguments.
  * Fix debugfs's argument parsing for the freefrag command.
  * Fixed a double close(2) bug in "rdump" and "rdump -p".
  * Fix filefrag to properly handle using the FIBMAP ioctl (with -B).
  * e4defrag will now defrag backwards-allocated files
  * Clarified messages that were confusing users in debugfs, e2fsck,
    mke2fs, and resize2fs (Closes: #758029, #757543, #757544)
  * Dumpe2fs will now complain if extra arguments are given to it.
    (Closes: #758074)
  * Update/clarify various man pages (Closes: #726760)
  * Update Czech, Dutch, French, Polish, Spanish, Sweedish, Ukrainian,
    and Vietnamese translations

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 29 Aug 2014 08:50:48 -0400

e2fsprogs (1.42.11-2) unstable; urgency=low

  * Don't try to build lib/ext2fs/tst_ext2fs unless running "make
    check"; this fixes a MIPS FTBFS problem because mips has a special
    no-pics build needed for bootloaders where we only build libext2fs
    but not libss or other libraries (Closes: #754605)
  * Update French translation

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 13 Jul 2014 16:18:27 -0400

e2fsprogs (1.42.11-1) unstable; urgency=medium

  * New upstream version
  * NMU acknowledge (Closes: #752107)
  * mke2fs can now create hugefiles which are aligned to the beginning
    of the disk (instead of relative to the beginning of the partition),
    controlled via a mke2fs.conf configuration parameter.
  * Fix a bug which caused e2fsck to abort a journal replay on a file
    system with bigalloc enabled.  (Closes: #744953)
  * Fix mke2fs so it more correctly handles large flex_bg counts
  * Mke2fs will check the kernel version number and not just the sysfs
    feature flag to determine whether it is safe to enable lazy
    inode table initialization, so it won't get faked out if the ext4 is
    compiled as a mdoule which hasn't happened to be loaded yet.
  * E2fsck will now automatically fix a last mount time or last write time
    which is in the future in preen mode.
  * Mke2fs will now check the file system revision number requested by the
    command line, and reject it if it is too large.
  * If filefrag runs into an error, it will continue processing the rest
    of the files specified on thec ommand line, but then exit with an
    error code.
  * Filefrag now prints some additional new flags (such as
    FIEMAP_EXTENT_ENCODED), and print unknown flags as hex values.
  * Fixed support in filefrag for files with > 2**32 blocks on 32-bit

