=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Build-Depends: gettext, texinfo, pkg-config,  gcc-multilib [mips mipsel], debhelper (>= 7.0), libblkid-dev (>= 2.16), uuid-dev (>= 2.16), m4, autotools-dev
-Standards-Version: 3.9.5
+Build-Depends: gettext, texinfo, pkg-config, gcc-multilib [mips mipsel], debhelper (>= 7.0), libblkid-dev (>= 2.16), uuid-dev (>= 2.16), m4, autotools-dev
+Standards-Version: 3.9.6
 Homepage: http://e2fsprogs.sourceforge.net
 
 
@@ -61,7 +61,7 @@
  libss provides a simple command-line interface parser which will
  accept input from the user, parse the command into an argv argument
  vector, and then dispatch it to a handler function.
- . 
+ .
  It was originally inspired by the Multics SubSystem library.
 
 Package: ss-dev
@@ -73,10 +73,11 @@
  This package includes a tool that parses a command table to generate
  a simple command-line interface parser, the include files needed to
  compile and use it, and the static libs.
- . 
+ .
  It was originally inspired by the Multics SubSystem library.
  .
  This package contains the development environment for the ss library.
+
 
 Package: e2fsprogs-udeb
 XC-Package-Type: udeb
@@ -139,7 +140,7 @@
  hard disks on Debian and other Linux systems.
  .
  This package contains programs for creating, checking, and maintaining
- ext2/3/4-based file systems.  It also includes the "badbocks" program,
+ ext2/3/4-based file systems.  It also includes the "badblocks" program,
  which can be used to scan for bad blocks on a disk or other storage device.
 
 Package: e2fsprogs-dbg
